boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference > Class Template Reference

List of all members.

## Public Types

typedef Iterator1 | first_iterator_type
typedef Iterator2 | second_iterator_type

## Public Member Functions

| concatenate_iterator ()
| concatenate_iterator (Iterator1 it1, Iterator1 end1, Iterator2 begin2, Iterator2 it2)
| concatenate_iterator (Iterator1 end1, Iterator2 begin2, Iterator2 end2)
template<typename OtherIt1 , typename OtherIt2 , typename OtherValue , typename OtherReference >
| concatenate_iterator (concatenate_iterator< OtherIt1, OtherIt2, OtherValue, OtherReference > const &other)

## Friends

class | boost::iterator_core_access
class | concatenate_iterator

### template<typename Iterator1, typename Iterator2, typename Value, typename Reference = Value&>
class boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >

## Member Typedef Documentation

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

typedef Iterator1 boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >::first_iterator_type

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

typedef Iterator2 boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >::second_iterator_type

## Constructor & Destructor Documentation

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >::concatenate_iterator | ( |  | ) |

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >::concatenate_iterator | ( | Iterator1 | it1,
|  | Iterator1 | end1,
|  | Iterator2 | begin2,
|  | Iterator2 | it2
| ) |  |

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >::concatenate_iterator | ( | Iterator1 | end1,
|  | Iterator2 | begin2,
|  | Iterator2 | end2
| ) |  |

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>
template<typename OtherIt1 , typename OtherIt2 , typename OtherValue , typename OtherReference >

boost::geometry::concatenate_iterator< Iterator1, Iterator2, Value, Reference >::concatenate_iterator | ( | concatenate_iterator< OtherIt1, OtherIt2, OtherValue, OtherReference > const & | other | ) |

## Friends And Related Function Documentation

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

friend class boost::iterator_core_access`[friend]`

template<typename Iterator1 , typename Iterator2 , typename Value , typename Reference = Value&>

friend class concatenate_iterator `[friend]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK